package polish_community_group_11.polish_community.admin.controllers;

import org.springframework.web.bind.annotation.*;
import polish_community_group_11.polish_community.admin.models.AdminBoard;
import polish_community_group_11.polish_community.admin.models.ManageUser;
import polish_community_group_11.polish_community.admin.services.AdminService;

@RestController
public class AdminApiController {
    private final AdminService adminService;

    public AdminApiController(AdminService adminService) {
        this.adminService = adminService;
    }

    @PutMapping("admin/edit/role/{role_name}")
    public void changeUserRole(@PathVariable("role_name") String role_name,
                               @ModelAttribute ManageUser user){
        adminService.updateUserRole(user,role_name);
    }

    @DeleteMapping("admin/delete/{user_id}")
    public void removeUser(@PathVariable("user_id") int user_id){
        adminService.deleteUser(user_id);
    }
}
